- Qt 5.15
- Qt NFC
- C++ Classes
- RequestId
- Qt 5.15.19 Reference Documentation

# RequestId Class

class QNearFieldTarget::RequestId

A request id handle. More...

- List of all members, including inherited members

## Public Functions

| RequestId(const RequestId &other)
| RequestId()
RequestId & | operator=(const RequestId &other)
| ~RequestId()
bool | isValid() const
int | refCount() const

## Detailed Description

## Member Function Documentation

### RequestId::RequestId(const RequestId &other)

Constructs a new request id handle that is a copy of other.

### RequestId::RequestId()

Constructs a new invalid request id handle.

### RequestId &RequestId::operator=(const RequestId &other)

Assigns a copy of other to this request id and returns a reference to this request id.

### RequestId::~RequestId()

Destroys the request id handle.

### bool RequestId::isValid() const

Returns true if this is a valid request id; otherwise returns false.

### int RequestId::refCount() const

Returns the current reference count of the request id.